#
# spec file for package scwm (Version 0.99.6.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile cassowary cassowary-devel emacs emacs-x11 esound esound-devel glib glib-devel gpp gtk gtk-devel guile guile-gtk imlib imlib-config imlib-devel jpeg libgpp libjpeg libpng libtiff libungif orbit orbit-devel readline readline-devel xaw3d xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip cassowary cassowary-devel compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel guile guile-gtk gzip imlib imlib-config imlib-devel jpeg kbd less libgpp libjpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         scwm
%define icon_ver 0.99.2
Copyright:    GPL
Group:        X11/Window Managers
Provides:     scwm windowmanager
Requires:     guile-gtk
Autoreqprov:  on
Summary:      Scheme-Configurable Window Manager
Version:      0.99.6.2
Release:      171
Source:       ftp://scwm.mit.edu/pub/scwm/scwm-%{version}.tar.bz2
Source1:      ftp://scwm.mit.edu/pub/scwm/scwm-icons-%{icon_ver}.tar.bz2
Patch:        scwm-%{version}.dif
URL:          http://scwm.sourceforge.net
BuildRoot:  /var/tmp/scwm-root

%description
From the Scwm homepage (/usr/share/doc/packages/scwm/scwmrc/):
Scwm is the Scheme-Configurable Window Manager. It is a window manager
with a powerful configuration language based on Guile Scheme. Scwm has a
number of advanced features, many implemented in the configuration
language itself. It is in very active development currently, and
continues to improve.
Scwm was originally based on fvwm2 code. It is rapidly evolving in the
internals, but we are striving to maintain compatibility on various
levels. It now has a strict superset of fvwm2 features. Even fvwm2
modules may be executed through an adapter written in the configuration
language.
Features
========
Scwm has a number of useful features, some of which are rarely seen in a
window manager. Here are some highlights:
- Full programmability using Guile Scheme.
- Support for GUI scripting using guile-gtk (experimental quality).
- Optional constraint-based window-layout system (new in v0.9). See
README-constraints for information on getting started.
- Fully documented the C-level primitives.
- Much-improved documentation browsing capabilities from Emacs.
- Multiple decoration styles, including mwm, fvwm and win95 so far.
- Everything that can be configured can be changed on the fly at runtime.
- A powerful external control protocol. The scwmexec program can be used
to execute any window manager.
- command at any time; scwmrepl gives you an interactive session with
the window manager.
- An emacs interaction mode: edit your .scwmrc in emacs, and evaluate
the results immediately, without restarting.
- Support for fvwm2 modules.
- Multiple disjoint virtual desktops.
- Animated move and windowshade operations.
- Synthetic events (allowing you to bind keystrokes or mouse operations
to sequences of clicks and keyboard commands).
- Ability to load nearly any image type.
- Timer hooks, input hooks, new window hooks.
- Direct support for /etc/X11/wmconfig/ under RedHat GNU/Linux 5.x.
- XLock menu that queries xlock for the available modes automatically.
The code is fairly portable. It is known to work at least on Linux,
FreeBSD, NetBSD, Solaris and Irix.
Scwm comes with a number of example scwmrc files in the sample.scwmrc
directory (/usr/share/doc/packages/scwm/scwmrc/) which demonstrate many of the
useful features.

Authors:
--------
    Carl R. Witty <cwitty@newtonlabs.com>
    Greg J Badros <gjb@cs.washington.edu>
    Jeff Nichols <jwnichls@cs.washington.edu>
    Jens-Ulrik Petersen <petersen@kurims.kyoto-u.ac.jp>
    Maciej Stachowiak <mstachow@alum.mit.edu>
    Robert Bihlmeyer <robbe@orcus.priv.at>
    Sam Steingold <sds@goems.com>
    Todd Larason <jtl@molehill.org>

SuSE series: xwm

%define INSTALL install -p -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -p -m644
%define ICON_DIR scwm-icons-0.99.2
%prep
%setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION -b 1
# %setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION -a 1 -T -D
%patch 
# %patch -P 1 -p 1

%build
# rm -f gtk.m4
# ./autogen.sh && true
# mv configure configure.orig
# sed -e 's/ --no-reexec//' < configure.orig > configure
# chmod +x configure
%{?suse_update_config:%{suse_update_config -f}}
autoconf
LIBS="-L/usr/X11R6/lib"  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" CXXFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" \
    ./configure --prefix=/usr/X11R6 \
            --sysconfdir=/var/lib/scwm \
            --infodir=/usr/share/info \
					  --mandir=/usr/share/man \
            --with-lispdir=/usr/share/emacs/site-lisp \
            --enable-multibyte --with-cassowary=/usr
#            --enable-gnome-corba 
LC_CTYPE=ISO-8859-1; export LC_CTYPE
make LDFLAGS=-s
# Now to be find in /usr/X11R6/share/scwm/scwmrc
# %{INSTALL_DIR} scwmrc
# %{INSTALL_DATA} sample.scwmrc/*.scwmrc scwmrc
# %{INSTALL_DATA} sample.scwmrc/relief-examples scwmrc
cd ../%ICON_DIR
%{?suse_update_config:%{suse_update_config -f}}
LIBS="-L/usr/X11R6/lib"  CFLAGS="$RPM_OPT_FLAGS" \
    ./configure --prefix=/usr/X11R6 \
            --sysconfdir=/var/lib/scwm \
            --infodir=/usr/share/info \
					  --mandir=/usr/share/man \
            --with-lispdir=/usr/share/emacs/site-lisp \
            --enable-multibyte

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 \
             sysconfdir=$RPM_BUILD_ROOT/var/lib/scwm \
             infodir=$RPM_BUILD_ROOT/usr/share/info \
	     mandir=$RPM_BUILD_ROOT/usr/share/man \
             lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/lib*.so.[0-9]*
chmod 755 $RPM_BUILD_ROOT/usr/X11R6/lib/scwm/modules/app/scwm/lib*.so.[0-9]*
export RPM_BUILD_ROOT
cd ../%ICON_DIR
make install prefix=$RPM_BUILD_ROOT/usr/X11R6 \
             sysconfdir=$RPM_BUILD_ROOT/var/lib/scwm \
             infodir=$RPM_BUILD_ROOT/usr/share/info \
	     mandir=$RPM_BUILD_ROOT/usr/share/man \
             lispdir=$RPM_BUILD_ROOT/usr/share/emacs/site-lisp
if [ -x /usr/X11R6/bin/link_pixmaps ] ; then
  /usr/X11R6/bin/link_pixmaps $RPM_BUILD_ROOT/usr/X11R6/share/scwm \
                   /usr/X11R6/include/X11/pixmaps
fi		   
( mkdir  $RPM_BUILD_ROOT/usr/X11R6/lib/scwm/modules/cassowary
  cd $RPM_BUILD_ROOT/usr/X11R6/lib/scwm/modules/cassowary
  ln -s ../../../../../lib/guile/site/cassowary/libconstraints.so.0 \
      libconstraints.so
)

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE AUTHORS BUG-REPORTING BUGS COPYING* NEWS
%doc INSTALL README README-Gnome README-constraints THANKS TODO HACKING
%doc scwm-bug-report-information scwm.lsm
%doc doc/*.scm doc/*.txt doc/{theme-howto,scwm-faq}
# %config /var/lib/scwm*
# %doc scwmrc
# %config /usr/X11R6/lib/X11/scwm/system.scwmrc
# %config /usr/X11R6/share/scwm/scwmrc/system.scwmrc
/usr/X11R6/bin/*
/usr/X11R6/lib/lib*
# /usr/X11R6/lib/scwm-modules
/usr/X11R6/lib/scwm
/usr/X11R6/include/*
/usr/X11R6/share/scwm
/usr/share/info/scwm.info*
/usr/share/man/man1/*
/usr/share/emacs/site-lisp/scwm.el
/usr/share/emacs/site-lisp/scwm.elc

%changelog -n scwm
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Fri Feb 09 2001 - nadvornik@suse.cz
- compile with -D_GNU_SOURCE
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Fri Dec 08 2000 - nadvornik@suse.cz
- some fixes in configuration file
* Fri Nov 24 2000 - nadvornik@suse.cz
- fixed configuration
* Fri Nov 17 2000 - adrian@suse.de
- dropps pixmaps from #neededforbuild and Requires
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Thu Nov 09 2000 - nadvornik@suse.cz
- update to 0.99.6.2
- added cassowary to neededforbuild
- pack sources with bzip2
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild: added esound-devel
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Aug 23 2000 - nadvornik@suse.cz
- fixed to compile with new guile
- installed icons
* Thu Feb 24 2000 - dbloms@suse.de
- put the manpages to /usr/share/man/*.
* Wed Feb 09 2000 - dbloms@suse.de
- Update the scwm-icons to 0.99.6.1.
* Wed Feb 02 2000 - ke@suse.de
- Update to 0.99.6.1 (memory leaks fixed, etc.).
* Thu Jan 13 2000 - ke@suse.de
- Update: 0.99.6.
- configure -> %%build.
- Use /usr/share/info.
* Mon Dec 13 1999 - ke@suse.de
- Install doc/*.scm.
* Wed Oct 27 1999 - ke@suse.de
- Update: 0.99.5.1 (bugfix release).
* Mon Oct 25 1999 - ke@suse.de
- Update: 0.99.5.
* Wed Oct 20 1999 - ke@suse.de
- Update: 0.99.4.
- Icons are bundled, but not installed.
- neededforbuild guilegtk.
* Sun Oct 03 1999 - ke@suse.de
- Update: version 0.99.3.
- More packages are neededforbuild.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Wed Mar 31 1999 - bs@suse.de
- dont use macros in "Version:" field.
* Sat Feb 20 1999 - ke@suse.de
- New package: version 19990220.
